Subject: Re: how to git-archive ignore some files?

From: René Scharfe <[email-masked]>
Date: Sun, 11 May 2008 12:44:27 +0200

Junio C Hamano schrieb:
> René Scharfe <[email-masked]> writes:
> 
>> To really solve this without external tools, git-archive needed to
>> grow an --exclude option like git-ls-files, though.
> 
> Because exclude is never about ignoring what is already tracked, an
> option "like" git-ls-files would not help this case, I am afraid.

True, it should be named differently, e.g. --ignore.

Another idea: would it make sense to have an attribute for that instead
(or in addition to the command line parameter)?  I.e. files marked
export-ignore would not end up in the archive.  I suspect the set of
files to ignore doesn't change from archive to archive one creates.

René